Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#42421 - [gnome-common] [autoconf-archive] File conflicts

Attached to Project: Community Packages
Opened by Mantas Mikul─Śnas (grawity) - Friday, 17 October 2014, 13:52 GMT
Last edited by Sergej Pupykin (sergej) - Wednesday, 29 April 2015, 11:57 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Jan de Groot (JGC)
Sergej Pupykin (sergej)
Jan Alexander Steffens (heftig)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Basically:

autoconf-archive: /usr/share/aclocal/ax_check_enable_debug.m4 exists in filesystem
autoconf-archive: /usr/share/aclocal/ax_code_coverage.m4 exists in filesystem

gnome-common was the first to ship these files, but they were imported from autoconf-archive in the first place, so...
This task depends upon

Closed by  Sergej Pupykin (sergej)
Wednesday, 29 April 2015, 11:57 GMT
Reason for closing:  Fixed
Comment by Jan Alexander Steffens (heftig) - Friday, 17 October 2014, 14:41 GMT
Could make gnome-common depend on autoconf-archive.

Thoughts?

Hm, no. autoconf-archive is in community.
Comment by Brian BIdulock (bidulock) - Saturday, 18 October 2014, 10:26 GMT
Maybe autoconf-archive could depend on gnome-common?
Comment by Sergej Pupykin (sergej) - Wednesday, 11 February 2015, 13:42 GMT
I've done quick search: as I understand they are moving from gnome-common to autoconf-archive and proper solution is to move autoconf-archive to extra and gnome-common should depend on it.

https://bugzilla.gnome.org/show_bug.cgi?id=729405
> Deprecate GNOME_CODE_COVERAGE
> The autoconf-archive AX_CODE_COVERAGE macro should be used instead.
Comment by Jan de Groot (JGC) - Wednesday, 29 April 2015, 11:01 GMT
I don't see any problem with keeping this maintained in community. gnome-common has been fixed to depend on autoconf-archive. We have more packages in extra (make)depending on community packages.

Loading...